Bug Hunting Session
Bug 75683 - SLIDESHOW: no sound on some "pps" files [summary: comment 61]
Summary: SLIDESHOW: no sound on some "pps" files [summary: comment 61]
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2014-03-02 19:35 UTC by Alex
Modified: 2019-05-24 02:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
lo1.sh (735 bytes, text/plain)
2014-03-05 22:03 UTC, Alex
Details
lo2.sh (1.40 KB, text/plain)
2014-03-05 22:03 UTC, Alex
Details
autogen output (22.73 KB, text/plain)
2014-03-05 22:04 UTC, Alex
Details
config.log (142.02 KB, text/plain)
2014-03-05 22:05 UTC, Alex
Details
make build output (722.66 KB, text/plain)
2014-03-05 22:06 UTC, Alex
Details
install output (9.01 KB, text/plain)
2014-03-05 22:06 UTC, Alex
Details
Output of configuration (21.30 KB, text/plain)
2014-03-08 05:27 UTC, Alex
Details
compile & link (921.55 KB, text/plain)
2014-03-08 05:28 UTC, Alex
Details
autogen_output.log (23.63 KB, text/x-log)
2014-03-08 17:15 UTC, Julien Nabet
Details
output of time make 2>&1 | tee make.txt ; echo $PIPESTATUS (97.59 KB, application/x-bzip)
2014-03-09 16:01 UTC, Julien Nabet
Details
autogen output (21.72 KB, text/plain)
2014-03-09 20:26 UTC, Alex
Details
make output (818.06 KB, text/plain)
2014-03-09 20:27 UTC, Alex
Details
simpress Watermelons - NO sound (5.00 KB, text/plain)
2014-03-09 20:28 UTC, Alex
Details
simpress Prague - GOOD sound (3.93 KB, text/plain)
2014-03-09 20:29 UTC, Alex
Details
no sound on pps file from thirth party (5.43 MB, application/vnd.ms-powerpoint)
2018-01-19 21:36 UTC, Robert Verbruggen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2014-03-02 19:35:46 UTC
INTRODUCTORY NOTES
This bug was originally submitted at the Gstreamer bugzilla under the name
"Bug 725417 - Gstreamer: no sound on some "pps" files", URL:
https://bugzilla.gnome.org/show_bug.cgi?id=725417

After investigation, the Gstreamer personnel concluded that the bug belongs directly to LibreOffice and should be resubmitted here (i.e., the present Bug submission).

----------------------------------------------------------------

SYSTEM
 (B)LFS system, i686-pc-linux-gnu, kernel-3.13.3
 libreoffice-4.2.0.4
  Compiled (configured) with the following parameters

./autogen.sh --prefix=/opt/libreoffice-4.2.0.4 \
 --sysconfdir=/etc \
 --with-vendor="BLFS" --with-lang=en-US --with-help \
 --with-alloc=system         \
 --without-java              \
 --disable-gconf             \
 --disable-odk               \
 --disable-postgresql-sdbc   \
 --disable-gstreamer-0.10    \
 --enable-gstreamer          \
 --enable-release-build=yes  \
 --enable-python=system      \
 --with-system-boost         \
 --with-system-clucene       \
 --with-system-cairo         \
 --with-system-curl          \
 --with-system-expat         \
 --with-system-graphite      \
 --with-system-harfbuzz      \
 --with-system-icu           \
 --with-system-jpeg          \
 --with-system-lcms2         \
 --with-system-libpng        \
 --with-system-libxml        \
 --with-system-mesa-headers  \
 --with-system-neon          \
 --with-system-npapi-headers \
 --with-system-nss           \
 --with-system-openldap      \
 --with-system-openssl       \
 --with-system-poppler       \
 --with-system-redland       \
 --with-system-zlib          \
 --with-parallelism=$(getconf _NPROCESSORS_ONLN)

----------------------------------------------------------------
PROBLEM
 Two "pps" slide files (created by a third party) both with video/audio:
  'watermelons.pps' and 'prague.pps'

 Run in LibreOffice (both presenting the video OK):
  'prague.pps':  sound OK (normal, as expected)
  'watermelons.pps':  NO sound at all (the PROBLEM)

MY INVESTIGATION
 I extracted the audio from the two pps files;  both contain sound as "wav".

 In playing the respective sound files with MPlayer 1.1-4.7.0
 (both sound OK here):

1.  'prague.wav' (of the "good" pps):
libavformat version 54.6.100 (internal)
Audio only file format detected.
Load subtitles in prague/
================================================================
Opening audio decoder: [mpg123] MPEG 1.0/2.0/2.5 layers I, II, III
AUDIO: 16000 Hz, 2 ch, s16le, 48.0 kbit/9.38% (ratio: 6000->64000)
Selected audio codec: [mpg123] afm: mpg123 (MPEG 1.0/2.0/2.5 layers I, II,
III)
================================================================
AO: [oss] 16000Hz 2ch s16le (2 bytes per sample)
Video: no video
Starting playback...

2.  'watermelons.wav' (of the "bad" pps):
libavformat version 54.6.100 (internal)
Audio only file format detected.
Load subtitles in watermel/
=================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
libavcodec version 54.23.100 (internal)
AUDIO: 8000 Hz, 2 ch, s16le, 64.9 kbit/25.34% (ratio: 8110->32000)
Selected audio codec: [ffadpcmimawav] afm: ffmpeg (FFmpeg WAV IMA ADPCM audio)
=================================================================
AO: [oss] 8000Hz 2ch s16le (2 bytes per sample)
Video: no video
Starting playback..

----------------------------------------------------------------
For important details regarding the Gstreamer software interaction, please refer to the above url (Bug 725417).

Thank you,
-- Alex              
Operating System: Linux (Other)
Version: 4.2.0.4 release
Comment 1 Julien Nabet 2014-03-02 20:58:43 UTC
Alex: would it be possible you attach the file or put it available somewhere so we can give it a try?
Comment 2 Alex 2014-03-02 21:36:17 UTC
Hi Julien,

Sure.  Let me know where and how
-- Alex
Comment 3 Julien Nabet 2014-03-02 21:57:53 UTC
Alex: you can attach a file (up to 3MB) by using this link:
https://bugs.freedesktop.org/attachment.cgi?bugid=75683&action=enter

(the file will be public so remove any private/confidential part).
Comment 4 Alex 2014-03-02 22:24:35 UTC
Unfortunately:

Prague.pps (the "good" file):  9,277,952 bytes  (40 slides)

Watermelons.pps (the "bad" - no sound - file):  6,774,272 bytes  (81 slides)
Comment 5 Alex 2014-03-02 22:33:57 UTC
My mail account, as can be seen, is Gmail.
I remember receiving them "as is" as attachments so supposedly Gmail can take
this size files.  Worth trying, one by one.  Just a thought.
They look pretty clean and any "privates" is not _my_ problem:)
Comment 7 Alex 2014-03-03 16:00:04 UTC
Hi Julien:

You can find the problem file (bzip2'ed) at this link:

https://wiki.documentfoundation.org/File:Loimpress-nosound_fdo75683.pps.bz2

(hopefully)

-- Alex
Comment 8 Julien Nabet 2014-03-04 19:17:32 UTC
On pc Debian x86-64 with master sources updated today, I can't reproduce the problem.

However I noticed these console logs:
warn:avmedia:9481:1:avmedia/source/viewer/mediawindow_impl.cxx:242: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC
warn:avmedia:9481:1:avmedia/source/viewer/mediawindow_impl.cxx:242: failed to create media player service com.sun.star.comp.avmedia.Manager_GStreamer
ERROR: Could not load classifier cascade /usr/share/opencv/haarcascades/haarcascade_frontalface_alt2.xml


With 4.2 sources updated some days ago, I don't reproduce this either.
I noticed these console logs:
warn:avmedia:9895:1:avmedia/source/viewer/mediawindow_impl.cxx:242: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC
warn:avmedia:9895:1:avmedia/source/viewer/mediawindow_impl.cxx:242: failed to create media player service com.sun.star.comp.avmedia.Manager_GStreamer

For the test, could you give a try to 4.2.1? (see https://launchpad.net/~libreoffice/+archive/ppa)
Comment 9 Alex 2014-03-05 00:58:05 UTC
Julian:

We're talking about two completely different systems:  Debian vs. BLFS
(maybe more different than Debian and Windows).  We'll discuss it (if you want) at a later time.  For an introduction to (B)LFS refer to
http://www.linuxfromscratch.org/

For the time being, let's restrict ourselves to just comparing watermelons to watermelons (so to speak):
This bug report is based on libreoffice-4.2.0.4.
Have you played the file (watermelon.pps) with sound, whether on
Debian or any other linux system, x86-64 or x86-32 - shouldn't matter, on a LibreOffice (loimpress) version
_4.2.0.4_ ?

Thanks,
-- Alex
Comment 10 Alex 2014-03-05 22:02:28 UTC
Hi Julien,

Very frustrating.  Still no sound.
I compiled/installed the latest version, 4.2.2.1, found at LO site.

I'm attaching a few files used/generated during this latest attempt.
I'd appreciate if you can peruse/comment them with your expert eye (BTW, your name is listed in the 4.2.2.1 credits).

The order of steps during the build are:

At command/text line (init level 3)
[]% lo1.sh
[]% lo2.sh
[]% make build
[]$ make distro-pack-install
[]$ install -v -m755 -d $LO_PREFIX/share/appdata &&
install -v -m644 sysui/desktop/appstream-appdata/*.xml $LO_PREFIX/share/appdata
(where LO_PREFIX=/opt/libreoffice-4.2.2.1)

To run (whether unprivileged or privileged):

In Xorg (init level 5), in an xterm window (to check errors, if any)

cd /opt/libreoffice-4.2.2.1/bin
./loimpress
Open Prague.pps (correct sound)
Open Watermelons.pps (NO sound !!!)

Thanks,
-- Alex
Comment 11 Alex 2014-03-05 22:03:22 UTC
Created attachment 95192 [details]
lo1.sh
Comment 12 Alex 2014-03-05 22:03:56 UTC
Created attachment 95194 [details]
lo2.sh
Comment 13 Alex 2014-03-05 22:04:44 UTC
Created attachment 95195 [details]
autogen output
Comment 14 Alex 2014-03-05 22:05:21 UTC
Created attachment 95197 [details]
config.log
Comment 15 Alex 2014-03-05 22:06:16 UTC
Created attachment 95198 [details]
make build output
Comment 16 Alex 2014-03-05 22:06:59 UTC
Created attachment 95199 [details]
install output
Comment 17 Julien Nabet 2014-03-05 22:17:50 UTC
Alex: Thanks for all these details. (badfully, I'm not an expert at all, just an user who contribute on simple things :-))

I noticed you used --enable-gstreamer
Here's my autogen.input:
--with-system-odbc
--enable-ext-barcode
--enable-ext-diagram
--enable-ext-google-docs
--enable-ext-hunart
--enable-ext-nlpsolver
--enable-ext-ct2n
--enable-ext-numbertext
--enable-postgresql-sdbc
--enable-ext-typo
--enable-ext-validator
--enable-ext-watch-window
--enable-ext-wiki-publisher
--enable-dbus
--enable-graphite
--enable-evolution2
--enable-werror
--enable-debug
--enable-dbgutil
--enable-crashdump
--enable-dependency-tracking
--enable-online-update
--enable-extra-sample
--enable-extra-template
--enable-extra-gallery
--enable-python=internal
--enable-ext-mariadb-connector
--with-system-mariadb
--enable-bundle-mariadb
--enable-avahi
--enable-eot

Now I suppose that enabling-gstreamer which uses gstreamer-1.0 should work.

Michael: any idea?
Comment 18 Julien Nabet 2014-03-05 22:42:05 UTC
I'll build from scratch master sources with the extra options:
--disable-gstreamer-0.10
--enable-gstreamer
With:
--enable-debug
--enable-dbgutil
I hope I'll get some interesting console traces.
Comment 19 Alex 2014-03-06 00:08:29 UTC
Julien > I noticed you used --enable-gstreamer

According to LO 'configure --help'

 --enable-gstreamer      Enable building with the new gstreamer 1.0 avmedia
                          backend.
 --disable-gstreamer-0-10
                          Disable building the gstreamer avmedia backend.

As a note, "--disable-gstreamer-0-10" is internally translated to
"--disable-gstreamer-0.10" as it should, so in your autogen whether you
say 0-10 or 0.10 the result is the same.
All in all this is the "switch" that makes (presumably) LO use the
gstreamer plugins.

For completeness:
1.  I have the very latest gstreamer packages (including base, good, bad and
ugly plugins) whether 0.1 or 1.x lines (they are independent and don't
step on each other's toes - so they say).
2.  This is why I first went to gstreamer bugzilla to complain (see
my OP link to gstreamer).
3.  The two sound files, as shown by mplayer (see OP above) are different as codec so I suspected gstreamer plugins can only play one and not the other (thus the reason for gstreamer bug submission).
4.  They shut me down (and sent me to you, LO) by proving they had no
problem playing either file.

Having said all that, the key to all this should be how LO accesses
the gstreamer plug-ins which unfortunately I don't know.
Maybe an LO guy who handles this can help us and tell us why with
the current configuration LO (_not_ gstreamer) can go to one file
and not the other (i.e., the way the gstreamer plugins are invoked).
It may be just a missing simple switch (--xxxxxxx)
and/or a library I'm missing and/or not up-to-date.

Thank you for your help,
-- Alex

BTW, for a full description (and a good example _in general_) of
how Beyond Linux From Scratch instructions do it, go to
http://www.linuxfromscratch.org
 and navigate like this:
BLFS > Read Online > Development BLFS (HTML) > LibreOffice-4.2.0
Comment 20 Julien Nabet 2014-03-06 06:50:26 UTC
So here's the url:
http://www.linuxfromscratch.org/blfs/view/svn/xsoft/libreoffice.html

My computer is building right now and it'll take several hours.
Meanwhile, you can keep on the investigation by using this:
http://opengrok.libreoffice.org/
(beginning by searching "gstreamer" string)
Comment 21 Alex 2014-03-06 15:48:20 UTC
Julien:
So here's the url:
http://www.linuxfromscratch.org/blfs/view/svn/xsoft/libreoffice.html

Alex:
Glad you found the page.  I apologize;  the reason I made it so complicated was
the (B)LFS books change almost daily so I didn't want to take any "risks" with a
crazy direct url.

Julien:
My computer is building right now and it'll take several hours.

Alex:
I've been doing the same thing (on mine - it was supposed to be a "speed demon"
when I built it more than a year ago - just 'make build' takes approx. 74 min.).

What I've been trying to do is to play with the autogen/configure switches.
I'm suspicious especially about this famous (and fateful) duo:
--disable-gstreamer-0.10
--enable-gstreamer

which, theoretically (i.e., according to configure --help), forces LO to look
only to gstreamer-1.x package, and _never_ to gstreamer-0.1x package.
But what if the effect is different (for whatever reason)?!
This is enough to send chills down my spine.
One test I plan is to compile without these two switches.

Julien:
Meanwhile, you can keep on the investigation by using this:
http://opengrok.libreoffice.org/
(beginning by searching "gstreamer" string)

Alex:
Thanks.  Very educational.

Cheers,
-- Alex
Comment 22 Julien Nabet 2014-03-06 18:08:36 UTC
Ok I've just retested and had no problem to listen to the sound of the pps.
Same console logs as in comment 8:
warn:avmedia:29924:1:avmedia/source/viewer/mediawindow_impl.cxx:242: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC
ERROR: Could not load classifier cascade /usr/share/opencv/haarcascades/haarcascade_frontalface_alt2.xml
Comment 23 Alex 2014-03-06 20:54:47 UTC
Hi Julien,

1.  What switches did you use?
2.  What version did you use?  4.2.2.1?  4.2.0.4?

3.  IMPORTANT.  NEED HELP!

All day long, in my attempts to test with different switches, make build
fails (cannot connect to dev-www.libreoffice.org):

cd /usr/src/libreoffice-4.2.2.1/src/tmp && wget --progress=dot:mega -Q 0 -P "."
-l 0 -nd -nH -N http://dev-www.libreoffice.org/src/libcdr-0.0.14.tar.bz2 2>&1 |
tee -a /usr/src/libreoffice-4.2.2.1/src/fetch.log && [ $PIPESTATUS -eq 0 ] && SUM=`md5sum libcdr-0.0.14.tar.bz2 | sed "s/ .*//"` && if test "$SUM" != "d88f9b94df880d2c05be943b000ca112"; then echo ERROR: expected checksum for libcdr-0.0.14.tar.bz2 is d88f9b94df880d2c05be943b000ca112 2>&1 | tee -a /usr/src/libreoffice-4.2.2.1/src/fetch.log; false; fi && mv libcdr-0.0.14.tar.bz2 ../
--2014-03-06 15:04:36--  http://dev-www.libreoffice.org/src/libcdr-0.0.14.tar.bz2
Resolving dev-www.libreoffice.org (dev-www.libreoffice.org)... 195.135.221.70, 2001:67c:2178:7::70
Connecting to dev-www.libreoffice.org (dev-www.libreoffice.org)|195.135.221.70|:80... failed: Connection timed out.
Connecting to dev-www.libreoffice.org (dev-www.libreoffice.org)|2001:67c:2178:7::70|:80... failed: Network is unreachable.
/usr/src/libreoffice-4.2.2.1/Makefile.fetch:74: recipe for target '/usr/src/libreoffice-4.2.2.1/workdir/download' failed
make: *** [/usr/src/libreoffice-4.2.2.1/workdir/download] Error 1

Obviously, the Network has been GOOD all along (otherwise you wouldn't be reading this post, for one thing).
For reference (i.e., a good 'make build') see the attachment above,
"make build output".

-- Alex
Comment 24 Julien Nabet 2014-03-06 21:59:36 UTC
Alex: I test with master sources (future 4.3.0) in general.
you can follow this page to build your sources:
https://wiki.documentfoundation.org/Development/Native_Build
$ git clone git://anongit.freedesktop.org/libreoffice/core libreoffice
$ cd libreoffice
$ ./autogen.sh
here you can change the autogen.input generated automatically by ./autogen.sh, then launch again ./autogen.sh
$ make

Sometimes some websites (eg: dev-www.libreoffice.org) can be unavailable temporarily and so you can't download the required external packages.
Comment 25 Alex 2014-03-08 05:25:47 UTC
(In reply to comment #24)
> Alex: I test with master sources (future 4.3.0) in general.
> you can follow this page to build your sources:
> https://wiki.documentfoundation.org/Development/Native_Build
> $ git clone git://anongit.freedesktop.org/libreoffice/core libreoffice
> $ cd libreoffice
> $ ./autogen.sh
> here you can change the autogen.input generated automatically by
> ./autogen.sh, then launch again ./autogen.sh
> $ make

I broke down the above in "Steps" I can refer to.
1. $ git clone git://anongit.freedesktop.org/libreoffice/core libreoffice
2. $ cd libreoffice
3. $ ./autogen.sh
here you can change the autogen.input generated automatically by ./autogen.sh,
 then launch again ./autogen.sh
4. $ make

5. $ instdir/program/soffice --writer
-------------------------------------------------------------------------------
Hi Julien,

I followed your steps to the letter:

Step 1.
alex[/usr/src]% time git clone git://anongit.freedesktop.org/libreoffice/core
libreoffice ; echo $?
Cloning into 'libreoffice'...
remote: Counting objects: 3254239, done.
remote: Compressing objects: 100% (685598/685598), done.
remote: Total 3254239 (delta 2473382), reused 3246023 (delta 2466467)
Receiving objects: 100% (3254239/3254239), 1.11 GiB | 3.51 MiB/s, done.
Resolving deltas: 100% (2473382/2473382), done.
Checking out files: 100% (63006/63006), done.

real    9m4.666s
user    1m54.754s
sys     0m14.563s
0
--------------------------------------------------------
Step 2.
alex[/usr/src]% cd libreoffice

Step 3.
time ./autogen.sh --without-doxygen --without-junit 2>&1 | tee autogen.txt ; \
 echo $PIPESTATUS

alex[/usr/src/libreoffice]% ls autogen*
autogen.lastrun  autogen.sh  autogen.txt

alex[/usr/src/libreoffice]% cat autogen.lastrun
--without-doxygen
--without-junit
--------------------------------------------------------
Step 4.
alex[/usr/src/libreoffice]% time make 2>&1 | tee make.txt ; echo $PIPESTATUS
real    78m21.075s
user    286m43.879s
sys     10m22.371s
0
------
Relevant programs built by libreoffice:
-rwxr-xr-x 1    64 2014-03-07 21:42 instdir/program/swriter
-rwxr-xr-x 1    62 2014-03-07 21:42 instdir/program/smath
-rwxr-xr-x 1    65 2014-03-07 21:42 instdir/program/simpress
-rwxr-xr-x 1    62 2014-03-07 21:42 instdir/program/sdraw
-rwxr-xr-x 1    62 2014-03-07 21:42 instdir/program/scalc
-rwxr-xr-x 1    62 2014-03-07 21:42 instdir/program/sbase
-rwxr-xr-x 1  2742 2014-03-07 21:42 instdir/program/spadmin
-rwxr-xr-x 1 12976 2014-03-07 21:42 instdir/program/senddoc
-rwxr-xr-x 1  5645 2014-03-07 21:49 instdir/program/soffice
--------------------------------------------------------------------
Step 5.
In an xterm window:

# Running 'Watermelons.pps'
alex[/usr/src/libreoffice]% instdir/program/simpress
alex[/usr/src/libreoffice]% instdir/program/soffice --impress

NO SOUND

Note:  'Prague.pps' has normal (correct) sound.
------------------------------------------------------------------------------

I'm attaching
 /usr/src/libreoffice/autogen.txt
 /usr/src/libreoffice/make.txt
==============================================================================
Julien:

This time HOPEFULLY we can compare watermelons to watermelons.
Directly and uniquely.

Please, compare and publish the results (especially, what you see as
deviations from the correct tests (i.e., yours) so we can track down why I
cannot get any sound from 'Watermelons.pps'):

1.  Your git log with mine above (at the top, Step 1.).

2.  In Step 3., I cannot imagine that my missing sound is due to
 --without-doxygen
 --without-junit
    but I've seen stranger things.

Anyway, please compare my 'autogen.txt' with yours.

3.  Step 4.  Please compare my 'make.txt' with yours.
             Also, sizes, etc.

4.  Step 5.  I do NOT get any warning/error messages, but NO SOUND.
 (actually, after (s)impress exits, the xterm window is left absolutely clean)

Thanks,
-- Alex

PS I did all of the above after I had exhausted all imaginable combinations
of _my way_ in doing configure/compile/install/run.
Comment 26 Alex 2014-03-08 05:27:35 UTC
Created attachment 95336 [details]
Output of configuration
Comment 27 Alex 2014-03-08 05:28:48 UTC
Created attachment 95337 [details]
compile & link
Comment 28 Julien Nabet 2014-03-08 09:24:35 UTC
Alex:
1) I haven't logged the output so can't make the comparison
2) in your attachment 95336 [details], I noticed this:
checking whether to enable the new GStreamer 1.0 avmedia backend... no
checking whether to enable the GStreamer avmedia backend... yes
checking for GSTREAMER_0_10... yes
So it seems gstreamer 1.0 isn't recognized by LO.
But since you haven't disabled gstreamer 0.10, it's not the pb.
You might confirm this by adding these 2 lines on your autogen.input:
--disable-gstreamer-0.10
--enable-gstreamer
then just run "./autogen.sh" (without arguments)

3)
The control of the presence of gstreamer is in configure.ac:
  10190 ENABLE_GSTREAMER=""
  10191 
  10192 if test "$build_gstreamer" = "yes"; then
  10193 
  10194     AC_MSG_CHECKING([whether to enable the new GStreamer 1.0 avmedia backend])
  10195     if test "x$enable_gstreamer" != "xno"; then
  10196         ENABLE_GSTREAMER="TRUE"
  10197         AC_MSG_RESULT([yes])
  10198         PKG_CHECK_MODULES( GSTREAMER, gstreamer-1.0 gstreamer-plugins-base-1.0 gstreamer-video-1.0 )
  10199         GSTREAMER_CFLAGS=$(printf '%s' "$GSTREAMER_CFLAGS" | sed -e "s/-I/${ISYSTEM?}/g")
  10200     else
  10201         AC_MSG_RESULT([no])
  10202     fi
  10203 fi
  10204 AC_SUBST(GSTREAMER_CFLAGS)
  10205 AC_SUBST(GSTREAMER_LIBS)
  10206 AC_SUBST(ENABLE_GSTREAMER)


Now to have more traces, included debug ones. I would add these lines in your autogen.input:
--enable-werror
--enable-debug
--enable-dbgutil

Again, after having added any lines in your autogen.input, just run "./autogen.sh" (without arguments)

Then "make" again to build with traces.

For information, here are the version of gstreamer I got:
root@julienPC:/home/julien/compile-libreoffice/libo# apt-cache show gstreamer0.10-plugins-base
Package: gstreamer0.10-plugins-base
Source: gst-plugins-base0.10
Version: 0.10.36-1.1

root@julienPC:/home/julien/compile-libreoffice/libo# apt-cache show gstreamer1.0-plugins-base
Package: gstreamer1.0-plugins-base
Source: gst-plugins-base1.0
Version: 1.2.3-1
Comment 29 Alex 2014-03-08 15:17:51 UTC
> On #28, Julien writes:
> 1) I haven't logged the output so can't make the comparison

How about building/running your good (with sound) LibreOffice WITH
logs (like I showed what I did) and then let's FINALLY make the
CRITICAL comparison.
I know you're a busy guy but while you're running me around,

> 2) in your attachment 95336 [details], I noticed this:
> checking whether to enable the new GStreamer 1.0 avmedia backend... no
> checking whether to enable the GStreamer avmedia backend... yes
> checking for GSTREAMER_0_10... yes
> So it seems gstreamer 1.0 isn't recognized by LO.
> But since you haven't disabled gstreamer 0.10, it's not the pb.
> You might confirm this by adding these 2 lines on your autogen.input:
> --disable-gstreamer-0.10
> --enable-gstreamer
> then just run "./autogen.sh" (without arguments)
> Now to have more traces, included debug ones.
> I would add these lines in your autogen.input:
> --enable-werror
> --enable-debug
> --enable-dbgutil
> Again, after having added any lines in your autogen.input,
> just run "./autogen.sh" (without arguments)
> Then "make" again to build with traces.

you can at least redo your successful LO build _with_ the logs.
------------------------------------------------------------------
As an aside, I did try
--disable-gstreamer-0.10
--enable-gstreamer
in the latest series of tests (i.e., just before the test of Comment #25)
and still NO SOUND.  this is why I showed a situation where I have
as few switches as possible/necessary.

Also, in my case 'autogen' doesn't seem to read an 'autogen.input'
file.  Be that as it may, I just append the switches I need directly
on the command line. By any stretch of the imagination, that should
work exactly as if 'autogen' read the switches from the 'autogen.input'
file.
You can confirm/reject in a one-minute test the claims I have made:

1.  'autogen' doesn't read/need an 'autogen.input' file.
2.  Placing the switches on the same command line at the end of the
 word "autogen" doesn't make any difference compared to if autogen
 read the switches from an 'autogen.input' file.

-- Alex
Comment 30 Julien Nabet 2014-03-08 17:15:20 UTC
Created attachment 95361 [details]
autogen_output.log

Of course you can use switches from command line. But when you have quite a lot switches (as in my case), I prefer using them in autogen.input.
As you'll see in my log of autogen, the autogen.input is indeed used.

Before asking me to log my build, try first to add the switches I indicated since in general logs concern something's wrong not something which works.
Comment 31 Julien Nabet 2014-03-09 16:01:16 UTC
Created attachment 95417 [details]
output of time make 2>&1 | tee make.txt ; echo $PIPESTATUS

real	290m50.188s
user	949m34.340s
sys	49m50.784s
0
Comment 32 Alex 2014-03-09 17:05:57 UTC
Hi Julien,

Thank you.  291 min.  Wow.
At least I get a "response" is a shorter time (~75 min.)
I'll try to use your switches (error, debug) and just my
--disable-gstreamer-0.10
--enable-gstreamer
because the gstreamer _1.x_ was "validated" by those GSTreamer guys,
(I use their latest releases anyway) and see what gives.

-- Alex
Comment 33 Alex 2014-03-09 20:26:51 UTC
Created attachment 95424 [details]
autogen output
Comment 34 Alex 2014-03-09 20:27:34 UTC
Created attachment 95425 [details]
make output
Comment 35 Alex 2014-03-09 20:28:35 UTC
Created attachment 95426 [details]
simpress Watermelons - NO sound
Comment 36 Alex 2014-03-09 20:29:20 UTC
Created attachment 95427 [details]
simpress Prague - GOOD sound
Comment 37 Alex 2014-03-09 20:31:57 UTC
Hi Julien,

I've just attached the relevant files for LibreOffice's viewing pleasure.

Let me know if you need anything else, clarifications, etc.

Cheers,
-- Alex
Comment 38 Alex 2014-10-09 16:27:17 UTC
It has been SEVEN months since the last post with the traces of the situation, 
as requested.
This Bug report has been lingering at Status NEW (sic) for SEVEN months!

This is all the more unprofessional and unacceptable as the problem still exists, unabated, to this day!

To summarize:

1.  The problem manifests itself on 32-bit Linux
    (BLFS - <www.linuxfromscratch.org>)

2.  On 64-bit Linux (Ubuntu 14.04) - same hardware - the subject
"problem" file, 'watermelon.pps' plays normally, WITH sound (as it should).

3.  For an UPDATE and quick technical SUMMARY. 
    Comparing watermelons to watermelons (so to speak):

3.1.  LibreOffice v4.2.6.3, the "canned" (binary) package:
    Good on 64 bits (Ubuntu)
    BAD (no sound) on 32 bits (BLFS)

3.2.  LibreOffice COMPILED from (git) sources (v4.4.0.0.alpha0+, Oct. 07)
    Same situation,

    Good on 64 bits (Ubuntu)
    BAD (no sound) on 32 bits (BLFS)


    Notes:
     1. The "comparison" (reference - "Good") file, 'prague.pps', plays
        sound correctly in ANY configuration.
     2. The "BAD" file, 'watermelons.pps', has ALWAYS sound on 64 bits
        and NEVER emits sound on 32 bits
        in ANY combination of Gstreamer 0.1x and/or Gstreamer 1.x.

PLEASE assign a professional to resume investigating and fix this bug.
I'll be available with any help required/requested.

-- Alex
Comment 39 Julien Nabet 2014-10-09 18:24:37 UTC
(In reply to Alex from comment #38)
> This is all the more unprofessional and unacceptable as the problem still
> exists, unabated, to this day!
You must have in mind that most contributors are not paid.
So either you dive in the code and propose a fix or you can pay/ask politely someone to do it.
 

> To summarize:
>...
>     Notes:
>      1. The "comparison" (reference - "Good") file, 'prague.pps', plays
>         sound correctly in ANY configuration.
>      2. The "BAD" file, 'watermelons.pps', has ALWAYS sound on 64 bits
>         and NEVER emits sound on 32 bits
>         in ANY combination of Gstreamer 0.1x and/or Gstreamer 1.x.
Did you give a try to a Live Ubuntu 32 to be sure it's a 32/64 bits problem?
Because to summarize, we could say too it works on Ubuntu and not on BLFS.

BLFS, like LFS, are distrib to learn about Linux, to choose precisely what you want. The counterpart you must be ready to investigate configuration or packaging problems. To be more specific, I consider .deb and .rpm available on official website for distrib packagers not for a casual user. Of course, the goal is to reduce at the minimum their packaging work.

Michael: any hint which could help here?
Comment 40 Michael Meeks 2014-10-09 19:16:30 UTC
> To summarize:
> 1.  The problem manifests itself on 32-bit Linux
>     (BLFS - <www.linuxfromscratch.org>)
> 2.  On 64-bit Linux (Ubuntu 14.04) - same hardware - the subject
> "problem" file, 'watermelon.pps' plays normally, WITH sound (as it should).
>
> It has been SEVEN months since the last post with the traces of the
> situation, as requested. This Bug report has been lingering at Status
> NEW (sic) for SEVEN months!

I'm sorry - if you build your own system and then it doesn't work - then - unfortunately any work we do to help you will help only -your- system; there is zero scalability there. As such, the only person that is likely to be interested in that is you. Luckily you seem quite competent - so, have a go debugging it. The code is in avmedia/source/gstreamer. If you built it yourself, fire it up in the debugger and have a poke around.

> This is all the more unprofessional and unacceptable as the problem
> still exists, unabated, to this day! ...
> PLEASE assign a professional to resume investigating and fix this bug.
> I'll be available with any help required/requested.

I downloaded your interesting PPS - thanks for sharing it; for me I get a song: "There was a time ..." - which I enjoyed for a few seconds before turning it off. I've no idea what makes you think you are entitled to any professional service on your timeline from a volunteer organisation =)

If you'd like to provide that service for yourself, go for it. Otherwise, I suggest (that since the component correlated with the failure is BLFS and/or your configuration of it) - that you report the issue to them.

Sorry !
Comment 41 Alex 2014-10-09 20:07:53 UTC
Alex:  Comments on Michael's Comment 39
> either you dive in the code and propose a fix or you can pay/ask politely
> someone to do it.

Hi Michael,

Hope the "you" above is the generic one (i.e., = "one") and not me (Alex)
since
I did say (pretty politely:)
"PLEASE assign a professional ..." :)

That little detail out of the way,

> Did you give a try to a Live Ubuntu 32 to be sure it's a 32/64 bits problem?
> Because to summarize, we could say too it works on Ubuntu and not on BLFS.

No.  My Ubuntu is 64.  But

> To be more specific, I consider .deb and .rpm available
> on official website for distrib packagers not for a casual user.

These are just asides:  I think a "casual" person who set up a complete system
by analyzing, compiling from sources, ETC. can at times impersonate a
packager:)
Anyway, as I said, I also tested (successfully) compiled sources (with
practically same 'autogen.input') on either system.
AAMOF, I ended up with an Ubuntu (14.04) 64 bits after the urgings from a
Google developer kinda warning me that if I stayed too much longer on 32, I
may run (with Chromium compile/_link_) into some life-threatening limitation
on the 4G "wall" (my hardware having been blessed with 16G physical all
along).
So like any _casual_ user (any butcher's, baker's and/or candlestick maker's
son, to put it more explicitly) after an hour or so, I could safely yell,
"look world, no 32 bits!" :-).
More seriously, I can now compare compiling Chromium on a 32 with on a 64 (not
such a dramatic difference - 60 min. vs 47 min., on my relatively fast
machine).
While we're here, we can now (finally:) get into

> any hint which could help here?

our LO subject bug:  with all the trimmings, the source 'make build' takes
about
95 min. on 32 (BLFS) and 65 min. on 64 (Ubuntu).  So there.

Hint #1 (other than the stuff supplied long ago, as Comment #37)
Please (politely:) revisit Bug 725417
 <bugzilla.gnome.org/show_bug.cgi?id=725417>

Hint #2
Please go over Bug 84154
 <bugs.freedesktop.org/show_bug.cgi?id=84154>

Hint #3  Reminder, all my latest tests (summarized in my previous comment)
strictly compare watermelons to watermelons:

- Binary (.deb) same-version LO binaries.
- Compiled sources of same version LO (latest git as of Oct. 7 - can be any
  "official" source version release for that matter, if need arises)

Hint #4
Nobody from LO has ever stated their "position" publicly as to how LO handles
sound (Gstreamer, which versions, which plug-ins, or maybe, something entirely
different).
That "disclosure" might help a non-casual user in figuring out how the problem
is created/occurs and maybe, who knows, avoid all these headaches for all
involved.

Thank you for your interest,
-- Alex

PS I was adding this comment while you were adding yours.  Hope is still makes
the same sense.
Comment 42 Alex 2014-10-09 20:12:05 UTC
(In reply to Michael Meeks from comment #40)

> I downloaded your interesting PPS - thanks for sharing it; for me I get a
> song: "There was a time ..." - which I enjoyed for a few seconds before
> turning it off.

Did you get it on a _32_-bit system
 (Ubuntu, as you suggested I do, or any other)?

Thanks,
-- Alex
Comment 43 Julien Nabet 2014-10-09 20:19:51 UTC
Alex: 
Beware you responded to me, not Michael - Michael Meeks who is on cc of this bugtracker and who nicely and quickly responded to my call for help on my previous comment :-)

About 32 bits, I thought about Ubuntu because you quoted it. Now any mainstream distrib could be ok: Fedora, Debian (or derivated from Linux Mint...) any of them but at least a distrib with packages so you could avoid packaging/config problems.
Again LFS/BLFS are kindda of DIY (and it's not pejorative at all in my mind) Linux installs.
Comment 44 Alex 2014-10-09 21:54:19 UTC
(In reply to Julien Nabet from comment #43)
> Alex: 
> Beware you responded to me, not Michael - Michael Meeks who is on cc of this
> bugtracker and who nicely and quickly responded to my call for help on my
> previous comment :-)
> 
> About 32 bits

Julien:

PLEASE
In response to _Michael_ who said he could listen to the song without any problems, I asked _Michael_,

Did you get it on a _32_-bit system
 (Ubuntu, as you suggested I do, or any other)?

I'm still asking _Michael_,

Did you get it on a _32_-bit system
 (Ubuntu, as you suggested I do, or any other)?
-----------------------------------------------------------------------------
Julien:

This is the WHOLE point (if it hasn't been clear as yet):

I claim the BUG (the problem is on _32-bit_ systems) so
if Michael heard the watermelons.pps sound on a _32_-bit system then I have been
wrong all along (i.e. _my_ system is a bad _32_-bit ( at least as far as it handles LO the wrong way), while a "clean" _32_-bit system can handle LO the way is should and as a consequence, can play the 'watermelon.pps' file.)

Please let me know if you have any problems in _understanding_ this comment.

Even better;  if you could call Michael, ask him my question and please relay his response.

Thanks,
-- Alex
Comment 45 Michael Meeks 2014-10-10 09:10:26 UTC
I no longer have a 32bit system at hand. And yes the 'you' I suggest means you Alex: you =) If you have a problem with your own self-built system, that doesn't really surprise or interest me ;-) If you can prove (eg. by installing a 32bit system of your own) that this fails on a reasonably up-to-date and relevant 32bit distribution with a user-base greater than one person - that is more interesting; perhaps then if we can confirm this - some other developer might be interested in fixing it.

ATB.
Comment 46 Alex 2014-10-10 18:13:51 UTC
Julien, please notify Michael about this.
Thanks.

Hi Michael,

This is just to clarify several things about this bug submission and the
resulting comments.

1. The long period of silence after I submitted (and going through hoops
to arrive at) the requested documentation (debugs, etc.) is UNACCEPTABLE.
I can only speculate about how much longer this delay would have taken
had I not "broken" the impasse thorough my Comment #38.

2. By any standards, a "bug submission" is supposed to be handled by the
person(s) associated with the subject product.
The submitter is expected to provide any required information and the bug
analyst decides if the bug is indeed real or not and/or the _system_ on
which the bug is purportedly present is not in "conformance", based on
the review of the documents submitted.

3. Your "rejection" of the submission is based on _your_ ad-Soc opinion
about the validity of a BLFS-type system which you seem to know very little about and/or have had any exposure to.

My "particular" system has been proven correct over a decade of existence
and constant updates.  In general, the BLFS systems are in use by a large
number of very technical users and the BLFS "concept" has been originated
and furthered by many highly professional and computer knowledgeable people.

As an aside, all the hundreds of Linux distributions, you might "recognize"
(or not) are based on taking the Linus' kernel, adding free software on it
and some extra eye-candy for the population at large (nothing wrong with
that, by the way).  So you see a difference with BLFS resulting from the
"packaging" behind the scenes.
Obviously, a _technical_ critique of BLFS (vs the "official", some 300-odd, distributions) would be HIGHLY APPRECIATED.

As another aside, I would be a little skeptical about a user who just
downloaded a "distribution" (probably Ubuntu which is all the rage now)
and subsequently feels he's into "computers" could detect (or be bothered with)
a watermelon-like file not emitting any sound (especially on these "fancy",
64-bit, systems :)

4.  You can easily perform a _self_-test of your technical and professional
attitude by just looking calmly, in retrospect, at your reaction,

"I [enjoyed] the song" (meaning "what bug???" - I have no problems running
the file) on my (Michael) _64_-bit system,
AFTER my clear, simple, unequivocal bug SUMMARY of Comment #38:

  1. The problem manifests itself on 32-bit Linux
    (BLFS - <www.linuxfromscratch.org>)

  2. On 64-bit Linux (Ubuntu 14.04) - same hardware - the subject
"problem" file, 'watermelon.pps' plays normally, WITH sound

5.  Your words in Comment #40:
 "I've no idea what makes you think you are entitled to any professional
service on your timeline from a volunteer organisation =)"
while maybe a little harsh (probably unintended - no offense taken:)
they, unfortunately, miss the point:

Short answer:  I NEVER thought NOR I implied was entitled ...
If you provide a counter-example seen on this submission I'll be more than
happy to apologize for the confusion I created :).
Just curious, what would appear to be my "timeline"?  (could be British
humor, I understand, but just in case).

One submits a bug report.  I claim that from a "not-for-profit
organization" the submitter should at least expect professional _attitude_
(professional _service_ is a bonus - would be nice, but these days ...?)

In all honesty, while at times pulling teeth, most of my bug submissions
have been treated fairly.  In any case, this is a first time I met
somebody questioning the VALIDITY (integrity, correctness, etc.) of a
BLFS system, whether mine or somebody else. (Let's say, for etiquette sake, we are only talking about _my_ "suspicious, unapproved" system here)
And that just based on _feelings_, not a smidgen of a technical evaluation
(detecting a system flaw in a submitted dump, trace, wrong library, bad
versions, etc., etc.).
That's a dictionary example of an "offhand" remark.

"Common sense" is a fluctuating and a vanishing notion these days, but,
at a minimum, it used to mean that a "professional attitude" signifies
that a serious comment/question is met with a timely and serious answer
(in any area of human endeavor).
Yes, while it saddened me, your answers/comments to my comments I made
after the 7-month hiatus DO meet the above criterion.

By contrast, experimenting (and using the result as rebuttal) on a 64-bit
system when specifically and clearly told that the reported problem
does NOT exist on a 64-bit system is not "professional service".
True, I was not entitled to it anyway, so what should I expect?!.

So, as long as nobody is proving my bug is bogus on an "approved" 32-bit system,
this submission must be reopened as VALID.

Cheers,
-- Alex
Comment 47 Julien Nabet 2014-10-10 19:08:21 UTC
(In reply to Alex from comment #46)
> Julien, please notify Michael about this.
> Thanks.
Michael is on cc of this bugtracker so already done.

Since the rest of your comment was for Michael, I'll let him respond.

Now, comparing "simpress Watermelons - NO sound" and "simpress Prague - GOOD sound", I think the interesting difference is this:
warn:avmedia:3863:1:avmedia/source/gstreamer/gstplayer.cxx:213: gstreamer error: 'No URI set' debug: 'gstplaybin2.c(5332): setup_next_source (): /GstPlayBin:playbin0'
repeated 3 times.

Since we don't reproduce this and don't have right now a 32 bit system, I'll propose you to build the LibreOffice code, see:
https://wiki.documentfoundation.org/Development/BuildingOnLinux
If interested, tell me and we'll try to pinpoint the problem.

Again, you must understand that most of us (it's my case) are contributors trying to help freely in terms of money (I'm not asking for money, I've already got a job, I'm helping for fun and for learning) and on their free time. I'm not a expert dev, I just try to fix "low hanging fruits" when possible.

You also must know that there are thousands of bug and some are very problematic like crashes/segfaults=>perhaps too few people to fix/Qa triaging/document/translate etc. compared to the number of bugs.
Comment 48 Michael Meeks 2014-10-10 19:27:01 UTC
Can you (Alex) reproduce this on a main-stream Linux distribution on a 32bit system ?

> is UNACCEPTABLE. ... 2. By any standards, a "bug submission" is supposed
> to be handled by the person(s) associated with the subject product.

Please just your expectations. With ~100 million users and ~100 developers each month - we can't hand-hold a million users' apparently burningly urgent bug reports each =)

I suggest you do ask asked, and try to reproduce the problem on a mainstream Linux distribution. If it can be reproduced there, then there is a real issue. Otherwise there is only a -huge- and -expensive- time sink debugging one of the (thousand) ways your system has got itself broken - something that is not a useful use of my scarce time - If 0.1% of our users had a bug requiring an couple of hours of debugging via bugzilla - we wouldn't be able to do it in a year - I hope you understand. As such, you need to either contribute constructively in this way or let us close the bug.

> 3. Your "rejection" of the submission is based on _your_ ad-Soc opinion
> about the validity of a BLFS-type system which you seem to know very
> little about and/or have had any exposure to.

I've had a long experience of wasting time trying to fix 'bugs' in self-built Linux systems over the years; many turn out to be some bright idea around enabling compiler options that are clearly marked as experimental or unsafe. I'm not doing that anymore. Perhaps some other volunteer will: who knows.

> Short answer:  I NEVER thought NOR I implied was entitled ...

You appear to think it's acceptable to SHOUT =) at volunteers, because you don't like how your bug was handled; need I go on ?

> Just curious, what would appear to be my "timeline"?  (could be
> British humor, I understand, but just in case).

Your timeline was in under "seven months" let me quote:

> "It has been SEVEN months since the last post with the traces of
>  the situation, as requested. This Bug report has been lingering
>  at Status NEW (sic) for SEVEN months!"

You seem to think you're entitled to professional support:

> "This is all the more unprofessional and unacceptable as the
>  problem still exists, unabated, to this day!"

None of that is the case =)

> ... is not "professional service". True, I was not entitled to it
> anyway, so what should I expect?!.

Quite. So - what I ask you to do is to demonstrate that this is a 'real' problem - ie. a code issue, and not some random configuration / distribution issue specific to your BLFS setup.

If you do that and find a bug in a distro that someone else has a chance of reproducing on, then someone might be interested in this issue.

Until then -> NEEDINFO.
Comment 49 Alex 2014-10-10 22:43:35 UTC
(In reply to Julien Nabet from comment #47)
> Now, comparing "simpress Watermelons - NO sound" and "simpress Prague - GOOD
> sound", I think the interesting difference is this:
> warn:avmedia:3863:1:avmedia/source/gstreamer/gstplayer.cxx:213: gstreamer
> error: 'No URI set' debug: 'gstplaybin2.c(5332): setup_next_source ():
> /GstPlayBin:playbin0'
> repeated 3 times.
Hi Julien,

Sorry, I've lost track of this (it's been so long - in non-LO terms :)
Is it your tests from around Comment #8+ or something totally new?

> Since we don't reproduce this and don't have right now a 32 bit system, I'll
> propose you to build the LibreOffice code, see:
> https://wiki.documentfoundation.org/Development/BuildingOnLinux

Is this about the same documentation area you sent me to before (Comment #24)
or something completely new?
FWIW, when I say "compiled from (git) sources" (Comment #38) that means I do a
git clone git://anongit.freedesktop.org/libreoffice/core ...
and then follow closely those compile/build instructions.

Anyway, I can repeat and renew the stuff I gather based on your instructions if
that makes any difference.
Like I said, I've been at v4.4.0.0.alpha0+, Oct. 07. 

Thanks,
-- Alex
Comment 50 Alex 2014-10-10 23:59:36 UTC
(In reply to Michael Meeks from comment #48)

Hi Michael,
> Can you (Alex) reproduce this on a main-stream Linux distribution on a 32bit
> system ?

I'll try.

Here I would like to stress two main, important points based on our living on two separate, parallel universes (nothing wrong with that;  as long as both are aware of it):

1.  Our inner clocks run at completely different speeds (for example, you think seven months is way too early to expect a "thank you" as acknowledgment for the receipt of some requested material in a bug investigation environment.
I think, that's about time for a fella to get worried and antsy).

2.  The assumed responsibilities in resolving a bug submission differ.
You think that the submitter is the guilty and needy person and somehow responsible to prove ("demonstrate") to the bug software vendor that the bug exists beyond any shadow of a doubt.

As an aside; again, in all fairness, never happened to me before.
Since this bug "affects" only the auditory sense, its very existence is very hard to prove (or to hear:).  Maybe the only "proof" can be found in the 32-bit traces analyzed/confirmed by the PulseAudio specialists (mentioned in Comment #41, Hint #2)

I think that the vendor either _technically_ prove that the bug and/or the system it purportedly resides on (or in: ) is wrong/phony
 or
the vendor with any additional documentation required around the bug and/or its
system fixes the bug (if it turns out valid, in the final analysis based on a mutual, friendly hand-shake).
Sending the user to another system to check "his" bug is either impracticable and/or inconclusive because the "other" system may be tainted (purposely or inadvertently) by the user and/or its vendor (packager).

The first difference can be accounted for on either universe.

Obviously, the second requires a lot of good will and is almost impossible to bridge.  From the user stand point it may appear that the vendor drags the resolution of the bug forever (even if for internally justifiable reasons) and just stalls.
As for the vendor, he may, _without any technical proof whatsoever_, imply directly or indirectly, that the user is not (sufficiently) competent/alert and/or runs on a sub-par system and chase the user away.

As an additional thought on the second difference, maybe I was never specific,
but
1.  This bug (even if exists beyond any doubt) is so insignificant that in the
bigger scheme of things and compared to what's happening in the world is not worth even a letter of this whole submission, let alone all the verbiage wasted for it.

2.  Whether _you_ (LibreOffice) ever decide to take it seriously is immaterial.
I submitted it in good faith (and with enough technical and life experience behind me) and hoped it would be resolved at the level of a software which overall (LO), in all honesty, is pretty high.
It would be nice for me to see it fixed (or technically proven wrong) but luckily either way that's not a life changer for me.

> > 3. Your "rejection" of the submission is based on _your_ ad-Soc opinion
Beats me how "ad-hoc" became "ad-Soc" (sorry)

> You appear to think it's acceptable to SHOUT =) at volunteers, because you
> don't like how your bug was handled; need I go on ?
I don't remember SHOUTing at Julien (I suppose).  Needless to say, if it appears I did, I apologize.

> > Just curious, what would appear to be my "timeline"?  (could be
> > British humor, I understand, but just in case).
> Your timeline was in under "seven months" let me quote:
> > "It has been SEVEN months since the last post with the traces of
> >  the situation, as requested. This Bug report has been lingering
> >  at Status NEW (sic) for SEVEN months!"
I should've added "at least at "NEEDINFO instead".

Thanks,
-- Alex
Comment 51 Julien Nabet 2014-10-11 06:25:38 UTC
Alex: about building sorry, you're right, I had already asked you.

You can do:
./g pull -r && make
to update your build
or start the debug with gdb by putting a breakpoint just before the error 
avmedia/source/gstreamer/gstplayer.cxx:213: gstreamer error: 'Resource not found.'

Then it could be useful to retrieve a backtrace by typing "bt".
Comment 52 Julien Nabet 2014-10-11 06:45:48 UTC
Forgot to say if your autogen.input didn't include --enable-dbgutil, please add it and run:
make clean && make postprocess.clean && ./g pull -r && ./autogen.sh && make

Of course, this option means it'll take more time to build, it will use more space on your hard disk + it will be slower to run LO but that's the price to pay to retrieve the maximum of information :-)
Comment 53 Michael Meeks 2014-10-11 11:09:39 UTC
Julien: FWIW - encouraging Alex to build LibreOffice himself is almost certainly a waste of time. The issue is (almost certainly) some intersection of bespoke compiler, bespoke Gstreamer setup, and bespoke LibreOffice configure options. I'd say that is just a waste of time.

More useful would be just firing up VirtualBox and installing a 32bit Ubuntu inside it, installing the latest master LibreOffice snapshot binaries, and then playing audio from that - bingo it will work [ at least I rather suspect so ]. At which point - the only moving part is the base-OS underneath.

Alex: FYI "Vendor" is derived from the Latin verb to sell =) I'm not sure it's a great adjective for TDF.
Comment 54 Alex 2014-10-11 21:46:15 UTC
(In reply to Michael Meeks from comment #53)

> firing up VirtualBox and installing a 32bit Ubuntu inside it,

Make sure it results in a 32-bit system.
A simple check is the output of the command,

getconf LONG_BIT

Must be 32 (for a 64-bit system it's 64 :)

Another useful check is 'uname -m'

Cheers,
-- Alex
Comment 55 Julien Nabet 2014-10-12 05:33:59 UTC
I never used Virtualbox so I'll let other people or Alex, if you want to give it a try with it or with a Live 32 bits distrib.
Comment 56 Alex 2014-10-15 23:50:12 UTC
Julien, Michael:

For your own "validation" 32-bit tests I suggest something along the lines of
what I did:

1.  Go to Ubuntu site and download the _32_-bit file,

Name:  "ubuntu-14.04.1-desktop-i386.iso"
Size:  a Gig and change (will later fit on a 2G USB stick comfortably)

2.  Put this ISO file on the USB stick (a 2G "flash drive", < US$10)

3.  Reboot your computer on the USB ("Ubuntu-32") drive.

4.  Have no fear;  at the end of the boot you are presented with two choices:
Click on the "Try Ubuntu" button.
Obviously, only if you want to _install_ it somewhere on an existing drive,
mess up with the second "Install Ubuntu" button and what ensues.
"Try Ubuntu" mode should suffice for the investigation of this submitted bug,
in my very humble opinion.

5.  After hitting "Try Ubuntu" you will end up on a system,
"ubuntu 14.04 LTS" (in System Settings).

6.  Open an Xterm terminal and at the prompt type either,

 uname -m
or
 getconf LONG_BIT

to confirm you are on a 32-bit system (as you should and expected all along)

7.  Make sure you have sound:

 System Settings > Sound > "Play sound through"
  Choose your favorite sound output, then hit
  "Test Sound" to hear you have sound enabled properly.

Among the FEW things Ubuntu offers you by DEFAULT on the left icon bar,
 SURPRISE, SURPRISE (no Michael, I'm not shouting at Julien):

Libre Office !!!
v. 4.2.4.2

8.  Click on the Impress button (lowest of the three LO buttons over there).

9.  Assuming you somehow copied (or can get to) the PPS files, open them in
Impress (i.e., the object of the game).

MY CONCLUSIONS
10.  NEITHER 'Prague.pps' NOR 'Watermelons.pps' emit ANY sound at all !!!

11.  Ironically, my third PPS file (I never mentioned before) called,
 'AllTheGirls.pps'
emits sound (beautifully), meaning (at least for me) that LO Impress does play
sound (on a 32-bit system) when it wants to.
But that would be the symptom of the bug, wouldn't it?

NOTES
12. Same as on my mentioned Ubuntu 64, PulseAudio is at version 4.0 here too.

13. I can make the third ("new") file, 'AllTheGirls.pps' available on request.
I suggest you go through the steps 1 through 10 and publish the results before
we talk about that.

Sizes, for the record,
 Prague.pps       9+ GB
 Watermelons.pps  8- GB
 AllTheGirls.pps  5- GB

Cheers,
-- Alex
Comment 57 Julien Nabet 2014-10-16 05:40:21 UTC
Alex: Hmm why don't you test yourself on Ubuntu 32 first (as I suggested in my comment39)? If you reproduce it on Ubuntu 32, then the bug would be confirmed and some QA or dev would begin the investigation.

About more recent LO version on Ubuntu, you got ppa, see https://launchpad.net/~libreoffice/+archive/ubuntu/ppa
Comment 58 Alex 2014-10-16 13:34:11 UTC
(In reply to Julien Nabet from comment #57)
> Alex: Hmm why don't you test yourself on Ubuntu 32 first (as I suggested in
> my comment39)? If you reproduce it on Ubuntu 32, then the bug would be
> confirmed and some QA or dev would begin the investigation.
> 
> About more recent LO version on Ubuntu, you got ppa, see
> https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

My latest test, on what Ubuntu was it?  Was it Ubuntu 33?

By the way, the three file sizes above should be in MB (not as in GB).

Let me know

- How many tests would you like me to still run

- How many other systems would you like me to install and add to my hardware
  and software

- How long would you like this nonsense to drag until you begin to understand
  what is going on

Thank you for your continuous help and invaluable guidance,
-- Alex
Comment 59 Julien Nabet 2014-10-16 13:47:35 UTC
I didn't see or perhaps missed it you tested Ubuntu 32 bits.
This is the only test I'd ask from you now.
Comment 60 Michael Meeks 2014-10-16 20:52:43 UTC
Lets invite Bjoern to the love-fest; Bjoern - do you have a 32bit Ubuntu close at hand that you could quickly & easily test this unusual presentation in to see if you get sound ? =) It'd be wonderful to be able to isolate this to the users' self-built Linux & close it if we can.

Alex - I'm confused; you wrote a huge long list of instructions for a 32bit install, but it was unclear if you'd done that yourself to confirm the issue; did you ?
Comment 61 Björn Michaelsen 2014-10-16 23:07:38 UTC
So, I quickly ran the file from comment 7 (after half an hour of searching for it in all the noise on this bug):

- on a Ubuntu 14.04 amd64 system with LibreOffice 4.2.6 => I get sound
- on a Ubuntu 14.04 x86 system with LibreOffice 4.2.4 => I get no sound

seems likely to be a 32-Bit issue indeed, although I dont have any other file at hand to doublecheck if its a generic soundproblem on the 32-Bit system.

Severely trimmed down testcases are needed for this to proceed, please provide testfiles that are manageable (e.g. check if the issue persists if you remove the images from the presentation, cut the audio to 10 secs etc.). The same would be helpful for the file that is supposedly working. Thus leaving in state NEEDINFO.

Thanks.
Comment 62 Björn Michaelsen 2014-10-16 23:24:40 UTC
FWIW, the

 No such file "/usr/src/libreoffice/instdir/user/gallery/Melounování.wav"'

line from attachment 95426 [details] makes it look more like an encoding issue wrt the filename than anything with media playback at all -- so another try would be having the filename plain old ASCII and see if the problem persists.
Comment 63 Alex 2014-10-16 23:27:22 UTC
(In reply to Michael Meeks from comment #60)
> Alex - I'm confused; you wrote a huge long list of instructions for a 32bit
> install, but it was unclear if you'd done that yourself to confirm the
> issue; did you ?

I thought I was clear :), but anyway, look at Comment 56,
MY CONCLUSIONS:  10 and 11
Comment 64 Alex 2014-10-16 23:56:04 UTC
(In reply to Björn Michaelsen from comment #61)
> So, I quickly ran the file from comment 7 (after half an hour of searching
> for it in all the noise on this bug):
> 
> - on a Ubuntu 14.04 amd64 system with LibreOffice 4.2.6 => I get sound
> - on a Ubuntu 14.04 x86 system with LibreOffice 4.2.4 => I get no sound
> 
> seems likely to be a 32-Bit issue indeed, although I dont have any other
> file at hand to doublecheck if its a generic soundproblem on the 32-Bit
> system.

Hi Björn,

A few comments/clarifications to bring you up to speed.

1.  There's a file out there (seems Michael was able to find it -
 Comment 40 ("I downloaded your interesting PPS ...),

 "Watermelons.pps"

which various versions (binary or compile from sources) of Impress

On 64 bit:  always plays (its) sound correctly (Ubuntu 64-bit).

on 32 bit:  never emits any sound.

2.  My claim (this bug submission), based on above:

There's a problem with Impress (as far as this type(?) of file is
concerned) on 32-bit systems.

See also (for reference) the GStreamer (Bug 725417) and
PulseAudio (Bug 84154) investigations into the matter.

3.  Since there were some suspicions regarding my original
32-bit BLFS system "quality", it was decided that a final,
conclusive sound test must be made on an "accredited", "official"
system like Ubuntu 32-bit.

I did, and the procedure ("protocol", according to Ebola news)
to set up such a system is presented in gory details in my
Comment 56.
In that comment, as an aside, I mentioned I found a third file,
'AllTheGirls.pps' which plays its sound correctly on this 32-bit system.
That was of value to me to prove that I did NOT have a 32-bit system
"generic" soundproblem.

I also mentioned I could make it available, like the two original
files (Prague and Watermelons) if requested.

Thank you for your help,
-- Alex
Comment 65 Julien Nabet 2014-10-26 09:16:41 UTC
On pc Debian x86-64, I installed Virtualbox. I created a machine with Linux Mint 17 Cinnamon, 32 bits version.
With 4.2.6.3, I can hear sound with https://wiki.documentfoundation.org/File:Loimpress-nosound_fdo75683.pps.bz2, idem with master sources updated yesterday.
Here are some kind of logs I had however:
warn:sd.core:2571:1:sd/source/core/PageListWatcher.cxx:95: ImpPageListWatcher::GetSdPage(PK_STANDARD): page number 0 >= 0
warn:vcl.gdi:2571:1:vcl/source/gdi/virdev.cxx:229: VirtualDevice::VirtualDevice(): Only 0, 1 or 8 allowed for BitCount, not 24
warn:avmedia:2571:1:avmedia/source/viewer/mediawindow_impl.cxx:277: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC

uname -a gives this:
Linux julien-VirtualBox 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:31:42 UTC 2014 i686 i686 i686 GNU/Linux

I would have been glad to reproduce the problem since it took lots of hours to build LO on the Virtualbox (+ I had to increase the disk size several times)
At least, I'm now able to give a try to other 32 bits only bugs + I learned basics from Virtualbox :-) (thank you Michael for the tip! :-))
Comment 66 Julien Nabet 2014-10-26 21:11:08 UTC
I installed Ubuntu 14.10 (32 bits) on another virtualbox, I could reproduce the pb.
Downloading dbg version to know if I can get some interesting warnings/errors on console.
Comment 67 Julien Nabet 2014-10-29 18:45:41 UTC
At least some other logs from Ubuntu 14.10 (32 bits) + master sources updated today! :-)

warn:avmedia:7263:1:avmedia/source/viewer/mediawindow_impl.cxx:277: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC
warn:sfx.control:7263:1:sfx2/source/control/dispatch.cxx:1354: Childwindow slot missing: 10365
warn:avmedia:7263:35:avmedia/source/gstreamer/gstplayer.cxx:219: gstreamer error: 'Your GStreamer installation is missing a plug-in.' debug: 'gsturidecodebin.c(990): no_more_pads_full (): /GstPlayBin:playbin0/GstURIDecodeBin:uridecodebin0:
no suitable plugins found'
warn:avmedia:7263:35:avmedia/source/gstreamer/gstplayer.cxx:219: gstreamer error: 'Your GStreamer installation is missing a plug-in.' debug: 'gsturidecodebin.c(990): no_more_pads_full (): /GstPlayBin:playbin0/GstURIDecodeBin:uridecodebin0:
no suitable plugins found'
warn:avmedia:7263:35:avmedia/source/gstreamer/gstplayer.cxx:219: gstreamer error: 'Internal data flow error.' debug: 'gstwavparse.c(2186): gst_wavparse_loop (): /GstPlayBin:playbin0/GstURIDecodeBin:uridecodebin0/GstDecodeBin:decodebin0/GstWavParse:wavparse0:
streaming task paused, reason not-linked (-1)'
warn:vcl.gdi:7263:1:vcl/source/gdi/virdev.cxx:229: VirtualDevice::VirtualDevice(): Only 0, 1 or 8 allowed for BitCount, not 24
warn:vcl.gdi:7263:1:vcl/source/gdi/virdev.cxx:229: VirtualDevice::VirtualDevice(): Only 0, 1 or 8 allowed for BitCount, not 24
Comment 68 Julien Nabet 2014-10-29 21:39:25 UTC
After having "googled about:
gsturidecodebin.c(990): no_more_pads_full (): /GstPlayBin:playbin0/GstURIDecodeBin:uridecodebin0
I found this link:
http://forum.suse.pl/index.php?topic=27053.0
which gives after some translation:
Make sure that all packages * gstreamer * have the packman repository and that you have them -Bad and -ugly.

So I installed just "gstreamer1.0-plugins-bad" package to test and I could hear the sound.
apt-cache show gives this version
Version: 1.4.3-1ubuntu1

For the test, I also installed ugly version, I could also hear the sound.

Now I re read https://bugs.freedesktop.org/show_bug.cgi?id=75683#c19 where Alex indicates he installed the good, bad and ugly gstreamer plugins.
And http://www.linuxfromscratch.org/blfs/view/svn/multimedia/gst10-plugins-bad.html indicates the same 1.4.3 version. So except if Ubuntu added a specific patch, I'm stuck :-(
Comment 69 Julien Nabet 2014-10-30 06:59:08 UTC
To complete information, here are the dependencies of the package:
Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
Provides: gstreamer1.0-audiosink, gstreamer1.0-audiosource, gstreamer1.0-videosink, gstreamer1.0-videosource, gstreamer1.0-visualization
Depends: libass5 (>= 0.10.2), libbz2-1.0, libc6 (>= 2.15), libcairo2 (>= 1.2.4), libchromaprint0 (>= 0.2), libcurl3-gnutls (>= 7.16.2), libdca0, libdirectfb-1.2-9, libdvdnav4 (>= 4.1.3), libdvdread4 (>= 4.1.3), libflite1 (>= 1.4-release), libfluidsynth1, libgcc1 (>= 1:4.1.1), libgl1-mesa-glx | libgl1, libglib2.0-0 (>= 2.37.3), libglu1-mesa | libglu1, libgme0 (>= 0.5.5), libgsm1 (>= 1.0.13), libgstreamer-plugins-bad1.0-0 (= 1.4.3-1ubuntu1), libgstreamer-plugins-base1.0-0 (>= 1.4.0), libgstreamer-plugins-good1.0-0, libgstreamer1.0-0 (>= 1.4.0), libgudev-1.0-0 (>= 146), libilmbase6 (>= 1.0.1), libjpeg8 (>= 8c), libkate1 (>= 0.4.1), libmimic0, libmjpegutils-2.1-0, libmms0 (>= 0.4), libmodplug1, libmpeg2encpp-2.1-0, libmpg123-0 (>= 1.6.2), libmplex2-2.1-0, libnettle4, libofa0 (>= 0.9.3), libopenal1 (>= 1.14), libopencv-calib3d2.4, libopencv-contrib2.4, libopencv-core2.4, libopencv-highgui2.4, libopencv-imgproc2.4, libopencv-legacy2.4, libopencv-objdetect2.4, libopencv-video2.4, libopenexr6 (>= 1.6.1), libopenjpeg5 (>= 1.3+dfsg), libopus0 (>= 1.0.3), liborc-0.4-0 (>= 1:0.4.20), libpng12-0 (>= 1.2.13-4), librsvg2-2 (>= 2.36), librtmp1 (>= 2.3), libsbc1, libschroedinger-1.0-0 (>= 1.0.9), libsndfile1 (>= 1.0.20), libsoundtouch0 (>= 1.8.0), libspandsp2 (>= 0.0.6~pre18), libsrtp0, libstdc++6 (>= 4.9), libusb-1.0-0 (>= 2:1.0.8), libvo-aacenc0, libvo-amrwbenc0, libwayland-client0 (>= 1.3.92), libwebp5, libwildmidi1 (>= 0.2.3), libx11-6, libxml2 (>= 2.7.4), libzbar0 (>= 0.10), gstreamer1.0-plugins-base, gstreamer1.0-plugins-bad-videoparsers (= 1.4.3-1ubuntu1), gstreamer1.0-plugins-bad-faad (= 1.4.3-1ubuntu1)

If you take into account that these may have also dependencies, etc. your problem could be just a missing component.
BTW, could you confirm you use 1.4.3 Gstreamer plugins bad version? Indeed, your comment was some months ago.
Comment 70 tommy27 2015-08-12 07:39:37 UTC
hi guys. LibO 5.0.0.5 is out.
please give an update of the bug current status with the new release
Comment 71 QA Administrators 2016-09-20 10:21:01 UTC Comment hidden (obsolete)
Comment 72 Robert Verbruggen 2018-01-19 21:36:28 UTC
Created attachment 139226 [details]
no sound on pps file from thirth party

I received this pps file( hoe kom je op het idee) by email.
It plays in impress, but no sound.  File attached for analyses.

The sound plays ok in MS powerpoint viewer.
Comment 73 QA Administrators 2019-05-24 02:57:39 UTC
Dear Alex,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug